%define _prefix /opt/freeware
%define _defaultdocdir %{_prefix}/doc
%define pango_version 1.2.5
%define gtk2_version 2.2.4

Name: 		bug-buddy
Version: 	2.4.0
Release: 	2
Summary: 	A bug reporting utility for GNOME.
License: 	GPL
Group: 		Applications/System
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/pre-gnome2/%{name}/%{name}-%{version}.tar.bz2

Patch0:		bug-buddy-2.4.0-aix.patch
Patch1:		bug-buddy-2.4.0-autotools.patch

URL: 		http://primates.helixcode.com/~jacob/bug-buddy/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires: libxml2-devel
BuildRequires: libgnomeui-devel
BuildRequires: gnome-vfs2-devel
BuildRequires: libglade2-devel
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}

Prereq:   scrollkeeper >= 0.3.12

%description
Bug-buddy is a bug reporting utility for the GNOME desktop GUI
environment. Bug-buddy can obtain a stack trace from a core file or
crashed application; it can determine the versions of packages
installed on your system; it can be started from gmc (by
double-clicking on a core file) and from the crash dialog; and it
supports the GNOME, KDE, Debian, and Ximian bug tracking systems.

%prep
%setup -q

if test x$PATCH = x ; then
  PATCH=patch ;
fi
$PATCH -p2 -s < %{_sourcedir}/bug-buddy-2.4.0-aix.patch
$PATCH -p2 -s < %{_sourcedir}/bug-buddy-2.4.0-autotools.patch


%build
PATH=%{_bindir}:$PATH ./configure --prefix=%{_prefix}
PATH=%{_bindir}:$PATH make

%install
if test "%{buildroot}" != "/"; then
	rm -rf %{buildroot}
fi
mkdir -p %{buildroot}
PATH=%{_bindir}:$PATH GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 \
XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook make DESTDIR=%{buildroot} install-strip

# Make the links
cd %{buildroot}
for dir in bin
do
        mkdir -p usr/$dir
        cd usr/$dir
        ln -sf ../..%{_prefix}/$dir/* .
        cd -
done

# bug buddy doesn't seem to have schemas at the moment?
#%post
#export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
#SCHEMAS="bug-buddy.schemas"
#for S in $SCHEMAS; do
#  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
#done

%post
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%postun
export PATH=%{_bindir}:$PATH
export XML_CATALOG_FILES=%{_sysconfdir}/xml/docbook
scrollkeeper-update -q > /dev/null

%files
%defattr(-, root, system)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%{_bindir}/*
%{_datadir}/pixmaps
%{_datadir}/bug-buddy
%{_datadir}/mime-info
%{_datadir}/applications
%{_datadir}/application-registry
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/locale/*/LC_MESSAGES/bug-buddy.mo
%{_mandir}/man*/*

/usr/bin/*
